tests/nopytest_ingestIndexReferenceCatalog.py

============================= test session starts ==============================
platform linux -- Python 3.10.8, pytest-7.2.0, pluggy-1.0.0
rootdir: /build/stack/miniconda3-py38_4.9.2-4.0.5/EupsBuildDir/Linux64/meas_algorithms-gc655b1545f+78fc91a3d9/meas_algorithms-gc655b1545f+78fc91a3d9, configfile: setup.cfg
plugins: doctestplus-0.12.1, astropy-header-0.1.2, openfiles-0.5.0, mock-3.10.0, cov-4.0.0, flake8-1.1.1, filter-subpackage-0.1.1, arraydiff-0.3, asdf-2.10.1, session2file-0.1.11, subtests-0.9.0, astropy-0.10.0, remotedata-0.3.3, xdist-3.0.2, hypothesis-6.58.2
collected 6 items

tests/nopytest_ingestIndexReferenceCatalog.py ......                     [100%]

=============================== warnings summary ===============================
tests/nopytest_ingestIndexReferenceCatalog.py::flake-8::FLAKE8
  /build/conda/miniconda3-py38_4.9.2/envs/lsst-scipipe-4.0.5/lib/python3.10/site-packages/flake8/plugins/manager.py:261: DeprecationWarning: SelectableGroups dict interface is deprecated. Use select.
    eps = importlib_metadata.entry_points().get(self.namespace, ())

-- Docs: https://docs.pytest.org/en/stable/how-to/capture-warnings.html
- generated xml file: /build/stack/miniconda3-py38_4.9.2-4.0.5/EupsBuildDir/Linux64/meas_algorithms-gc655b1545f+78fc91a3d9/meas_algorithms-gc655b1545f+78fc91a3d9/tests/.tests/nopytest_ingestIndexReferenceCatalog.py.xml -

---------- coverage: platform linux, python 3.10.8-final-0 -----------
Name                                                                Stmts   Miss Branch BrPart  Cover
-----------------------------------------------------------------------------------------------------
python/lsst/__init__.py                                                 3      0      0      0   100%
python/lsst/meas/__init__.py                                            3      0      0      0   100%
python/lsst/meas/algorithms/__init__.py                                49      0      0      0   100%
python/lsst/meas/algorithms/accumulator_mean_stack.py                  81     71     32      0     9%
python/lsst/meas/algorithms/astrometrySourceSelector.py                58     35     12      0    36%
python/lsst/meas/algorithms/brightStarStamps.py                       140     99     54      0    22%
python/lsst/meas/algorithms/coaddPsf/__init__.py                        2      0      0      0   100%
python/lsst/meas/algorithms/coaddPsf/coaddPsfContinued.py               4      0      0      0   100%
python/lsst/meas/algorithms/convertRefcatManager.py                   159     68     54      8    54%
python/lsst/meas/algorithms/convertReferenceCatalog.py                 62     21     10      1    64%
python/lsst/meas/algorithms/detection.py                              316    255    126      0    14%
python/lsst/meas/algorithms/dynamicDetection.py                       109     85     20      0    19%
python/lsst/meas/algorithms/findCosmicRaysConfig.py                    18      5      0      0    72%
python/lsst/meas/algorithms/flaggedSourceSelector.py                   15      2      2      0    88%
python/lsst/meas/algorithms/gaussianPsfFactory.py                      44     23     12      0    38%
python/lsst/meas/algorithms/htmIndexer.py                              17      8      4      0    43%
python/lsst/meas/algorithms/indexerRegistry.py                         10      0      0      0   100%
python/lsst/meas/algorithms/ingestIndexReferenceTask.py               171     54     28      2    62%
python/lsst/meas/algorithms/loadIndexedReferenceObjects.py             55     38     20      0    23%
python/lsst/meas/algorithms/loadReferenceObjects.py                   396    235    150     24    38%
python/lsst/meas/algorithms/makeCoaddApCorrMap.py                      21     17     10      0    13%
python/lsst/meas/algorithms/makePsfCandidates.py                       45     28     10      0    31%
python/lsst/meas/algorithms/matcherSourceSelector.py                   47     27      8      0    40%
python/lsst/meas/algorithms/measureApCorr.py                          122     96     42      0    16%
python/lsst/meas/algorithms/objectSizeStarSelector.py                 253    212    108      8    14%
python/lsst/meas/algorithms/pcaPsfDeterminer.py                       338    297    185      3     9%
python/lsst/meas/algorithms/psfCandidate/__init__.py                    2      0      0      0   100%
python/lsst/meas/algorithms/psfCandidate/psfCandidateContinued.py       8      1      2      0    90%
python/lsst/meas/algorithms/psfDeterminer.py                           18      2      0      0    89%
python/lsst/meas/algorithms/readFitsCatalogTask.py                     22     11      8      0    37%
python/lsst/meas/algorithms/readTextCatalogTask.py                     20      2      2      1    86%
python/lsst/meas/algorithms/reserveSourcesTask.py                      44     29     10      0    28%
python/lsst/meas/algorithms/scaleVariance.py                           66     45     12      0    27%
python/lsst/meas/algorithms/simple_curve.py                           154     94     36      1    32%
python/lsst/meas/algorithms/skyObjects.py                              48     31     12      0    28%
python/lsst/meas/algorithms/sourceSelector.py                         186    101     56      0    37%
python/lsst/meas/algorithms/stamps.py                                 172    119     66      0    24%
python/lsst/meas/algorithms/starSelector.py                            25      9      4      0    55%
python/lsst/meas/algorithms/subtractBackground.py                     113     84     46      1    19%
python/lsst/meas/algorithms/utils.py                                  545    515    212      0     4%
python/lsst/meas/algorithms/version.py                                  6      0      0      0   100%
tests/ingestIndexTestBase.py                                          149      4     34      2    97%
tests/nopytest_ingestIndexReferenceCatalog.py                         133      2     10      1    98%
-----------------------------------------------------------------------------------------------------
TOTAL                                                                4249   2725   1397     52    30%
Coverage HTML written to dir tests/.tests/nopytest_ingestIndexReferenceCatalog.py-htmlcov
Coverage XML written to file tests/.tests/nopytest_ingestIndexReferenceCatalog.py-cov-meas_algorithms.xml

============================= slowest 5 durations ==============================
31.33s call     tests/nopytest_ingestIndexReferenceCatalog.py::TestConvertReferenceCatalogParallel::testIngestTwoFilesTwoCores
0.22s setup    tests/nopytest_ingestIndexReferenceCatalog.py::TestConvertReferenceCatalogParallel::testIngestTwoFilesTwoCores
0.21s setup    tests/nopytest_ingestIndexReferenceCatalog.py::TestConvertRefcatManager::test_doOnePixelNewData
0.18s call     tests/nopytest_ingestIndexReferenceCatalog.py::flake-8::FLAKE8
0.15s call     tests/nopytest_ingestIndexReferenceCatalog.py::TestMemory::testFileDescriptorLeaks
======================== 6 passed, 1 warning in 37.66s =========================
